﻿namespace IgDataChartSample.Controllers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;

    using IgDataChartSample.Models;

    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var stockMarketData = new List<StockMarketChartModel>
            {
                new StockMarketChartModel
                {
                    Date = DateTime.Parse("2.1.2010"), 
                    Open = 1000, 
                    High = 1028.75, 
                    Low = 985.25, 
                    Close = 1020, 
                    Volume = 1995
                },
                new StockMarketChartModel
                    {
                        Date = DateTime.Parse("3.1.2010"), 
                        Open = 1020,
                        High = 1032.5, 
                        Low = 999.5, 
                        Close = 1021, 
                        Volume = 1964.5
                    },
                new StockMarketChartModel 
                { 
                    Date = DateTime.Parse("4.1.2010"), 
                    Open = 1021, 
                    High = 1033.5, 
                    Low = 996, 
                    Close = 1033, 
                    Volume = 1974.75 
                },
                new StockMarketChartModel 
                { 
                    Date = DateTime.Parse("5.1.2010"), 
                    Open = 1033, 
                    High = 1062, 
                    Low = 1018.75, 
                    Close = 1042, 
                    Volume = 1978.5 
                },
                new StockMarketChartModel 
                { 
                    Date = DateTime.Parse("6.1.2010"), 
                    Open = 1042, 
                    High = 1058.5, 
                    Low = 1019.75, 
                    Close = 1029, 
                    Volume = 1979 
                },
                new StockMarketChartModel 
                { 
                    Date = DateTime.Parse("7.1.2010"), 
                    Open = 1029, 
                    High = 1050.75, 
                    Low = 1006, 
                    Close = 1042, 
                    Volume = 1990
                 }
            };

            var stockMarketViewModel = new StockMarketViewModel { chart = stockMarketData.AsQueryable() };

            return View(stockMarketViewModel);
        }
    }
}